F
AnyVals
F2B
ScalaPrimitives
F2C
ScalaPrimitives
F2D
ScalaPrimitives
F2F
ScalaPrimitives
F2I
ScalaPrimitives
F2L
ScalaPrimitives
F2S
ScalaPrimitives
FALSE
CODE CommonTokens
FARRAY_GET
ScalaPrimitives
FARRAY_LENGTH
ScalaPrimitives
FARRAY_SET
ScalaPrimitives
FINAL
CommonTokens
FINALLY
CommonTokens
FLOAT
TypeKinds BTypes JavaTokens
FLOATLIT
CommonTokens
FOR
CommonTokens
FORSOME
Tokens
FailedInterrupt
util
Failure
Macros
FakePos
util
Fallback
Macros
False
PropositionalLogic
FastScalac
ant
FastTrack
reflect
FastTrackEntry
FastTrack
FatalError
nsc
FeasibleInline
Inliner
Field
CopyPropagation MethodSynth
File
io
FileConflictException
jvm
FileOps
FileUtils
FileUtils
classpath
Final
settings
Finalizer
ExceptionHandlers ICodePhase
Fingerprint
typechecker
FinitaryError
TyperErrorGen
FirstOp
InfixMode
FixInvalidSyms
BodyDuplicator
Flag
Scalac
Flags
symtab SpecifierGroups
Flat
ClassPathRepresentationType
FlatClassPath
classpath
FlatClassPathEntries
classpath
FlatClassPathFactory
classpath
FlatClassPathResolver
util
Flatten
transform
Flattener
Flatten
FloatingPointXn
FormatInterpolator
ForEnumPlaceholder
Placeholders
ForEnumeratorParser
Parsers
ForeignCompiler
sabbus
FormatInterpolator
reflect
FormerNonStickyModes
ContextMode
Forward
SpecializeTypes
Fractional
scala
FreeDef
Extractors
FreeDefExtractor
Extractors
FreeRef
Extractors
FreeTermDef
Extractors
FreeTypeDef
Extractors
FreeVarTraverser
Delambdafy
FreshName
Parsers
FromString
cmd
FrontEnd
reflect
FrontEnds
contexts
FscSettings
settings
FullSuppression
Suppression
FunTreeMaker
TreeMakers
Function1
Implicits
FunctionReference
CoreBTypes CoreBTypesProxy
FunctionTypePlaceholder
Placeholders
f
Finalizer
factoryMeth
Unapplies
factoryNonJarBytecodeWriter
BytecodeWriters
fail
Error
failOption
Error
failedApplyNanos
TypersStats
failedOpEqNanos
TypersStats
failedSilentNanos
TypersStats
failonerror
Scalac
failure
PCJUMP PCZJUMP LCJUMP LCZJUMP ImplicitSearch Failure
failureBlock
CJUMP CZJUMP
fallback
Fallback
falseIfNoInstance
Infer
fastTrack
Macros
fatal
CompileOutputCommon
fatalWarnings
Warnings
fconst
JCodeMethodN jcode
feature
StandardScalaSettings
featureWarning
PerRunReporting Context
featureWarnings
PerRunReporting
fetchToken
Scanner
field
LOAD_FIELD STORE_FIELD
fieldDecls
JavaParser
fieldLoad
PlainBodyBuilder
fieldSelection
DerivedFromValDef
fieldStore
PlainBodyBuilder
fieldSymbols
BCodeHelpers
fields
IClass
file
FileConflictException ClassFileEntry AbstractFileOps FileOps SourceFileEntry JarWriter AbstractFileReader
fileFilter
DirectoryFileLookup DirectoryFlatClassPath DirectoryFlatSourcePath
files
CompilerCommand DirectoryFileLookup ZipArchiveFileLookup
fillDocComment
DocComments
fillListHole
Reifier
fillListOfListsHole
Reifier
filter
SilentResult
filterAliases
SymbolTable
filterSyms
SymbolTable
finalJumpTarget
BytecodeUtils
finalize
AnyRef
finalizer
ExceptionHandler
find
LocalLazyValFinder
findAll
ImplicitComputation DocStrings
findAllModelsFor
PropositionalLogic Solver
findBest
ImplicitComputation
findClass
AggregateFlatClassPath DirectoryFlatClassPath DirectoryFlatSourcePath FlatClassPath ClassFileLookup ClassPath
findClassFile
AggregateFlatClassPath DirectoryFlatClassPath ClassFileLookup ClassPath
findClobbers
DeadCode
findCyclicalLowerBound
Namer
findDefs
ReachingDefinitionsAnalysis
findExceptionHandler
InlineExceptionHandlersPhase
findHostClass
ICodePhase PlainBodyBuilder
findMacroClassLoader
Macros
findMemberFailed
TypersStats
findMemberFromRoot
Global
findMemberImpl
ImplicitsStats
findModelFor
PropositionalLogic Solver
findNext
DocStrings
findStaticCtor
StaticsTransformer
findTseitinModelFor
Solver
finishBinaryOp
Parser
finishMethodSynthesis
TreeChecker Typer
finishPostfixOp
Parser
firstError
ContextReporter
firstExpecting
ConstantPool
firstImport
Context ImportContext NoContext
firstIndexingBinder
ExtractorCall
firstXmlPos
CompilationUnit
fixPort
CompileSocket
fixType
BodyDuplicator
fixed
Extractor Patterns
fixerUpper
TreeMakers
flagMap
BBFlags
flagSummaryString
Node
flags
ClassInfo InnerClassEntry Change Conversion
flagsExtra
BaseGetter BeanAccessor Derived Field ImplicitClassWrapper Param Setter
flagsMask
SymbolTracker BaseGetter BeanAccessor Derived Field ImplicitClassWrapper Param Setter
flagsString
BasicBlock
flagsToString
BBFlags
flatClasses
GlobalPhase
flatMap
vpmName Casegen OptimizedCasegen pureCodegen
flatMapCond
Casegen OptimizedCasegen pureCodegen
flatMapCondStored
OptimizedCasegen
flatMapGuard
Casegen OptimizedCasegen pureCodegen
flatTagsCount
SWITCH
flatten
Global Hierarchy Node
flattenConsArgs
CounterExample ListExample
flattenPhase
Run
fldsCat
Opcodes
floatVal
Scanner AbstractJavaScanner JavaScanner
floatingCompanion
AnyValTemplates
flush
ConsoleWriter SourceReader ConsoleReporter FrontEnd
flushDoc
Scanner
fn
CODE
fold
SilentResult
forArgMode
Typers
force
Scalac
forceMangledName
ICodeReader
foreach
BasicBlock Jar
foreachBlock
IMethod
foreachInsn
InsnIterInsnList InsnIterMethodNode
foreignCompilerName
Compiler
fork
Scalac
formalParam
JavaParser
formalParams
JavaParser
formalTypes
Infer
format
Message
forwardAnalysis
DataFlowAnalysis MTFAGrowable
forwardMethod
ClassMethodSynthesis
foundImplicits
ImplicitsStats
foundReqMsg
TypeDiagnostics
fpat
FormatInterpolator
frame
BrowserFrame
freeTypeParamsOfTerms
Inferencer
freeVars
FreeVarTraverser
freeVarsOf
FreeVarTraverser
fresh
Names QuasiquoteParser CompilationUnit Parser TreeBuilder
freshLocal
LinearCode
freshName
Names JavaParser JavaUnitParser CodegenCore
freshNameCreator
Names
freshSym
CodegenCore
freshTermName
CompilationUnit JavaUnitParser
freshTypeName
CompilationUnit JavaUnitParser
freshVar
Infer
from
Substitution
fromArgs
cmd
fromByteT2T
JCodeMethodN
fromBytes
ShowPickled
fromCharT2T
JCodeMethodN
fromClazz
TypeStrings
fromFile
ShowPickled
fromIntT2T
JCodeMethodN
fromList
BasicBlock
fromOpt
cmd
fromPathString
PathResolver
fromShortT2T
JCodeMethodN
fromSource
SourcefileLoader
fromSpecialization
TypeEnv
fromTag
TypeStrings
fromType
ValueConst
fromValue
TypeStrings
fromXML
PluginDescription
frontEnd
ToolBox
fs
Choices
fscSpecific
FscSettings
fullRewrite
TreeMakersToProps
fullSiteString
TypersTracking
fullString
BasicBlock
fun
CommonCodegen ExtractorCall ExtractorCallProd ExtractorCallRegular
funDefOrDcl
Parser
funDefRest
Parser
functionArgType
PatternContextSensitive SeqContextSensitive outPattern
functionTypes
PatternContextSensitive
future
ScalaSettings
futureSettings
ScalaSettings